# libdar::defile Class Reference
[Private]

the defile class keep trace of the real path of files while the flow in the filter routines More...

`#include <defile.hpp>`

List of all members.

## Detailed Description

the defile class keep trace of the real path of files while the flow in the filter routines

the filter routines manipulates flow of inode, where their relative order represent the directory structure. To be able to know what is the real path of the current inode, all previously passed inode must be known. this class is used to display the progression of the filtering routing, and the file on which the filtering routine operates

Definition at line 46 of file defile.hpp.

The documentation for this class was generated from the following file:

- defile.hpp